package org.vcs.bazaar.eclipse.ui.actions;

import org.eclipse.core.resources.IProject;
import org.eclipse.jface.action.IAction;
import org.eclipse.ui.IWorkbenchPage;
import org.vcs.bazaar.eclipse.BzrWorkspaceRoot;
import org.vcs.bazaar.eclipse.ui.EclipseBazaarUI;
import org.vcs.bazaar.eclipse.ui.views.ConflictsView;

public class ShowConflictsAction extends WorkbenchAction {

	@Override
	protected void execute(IAction action) throws Exception {
		IWorkbenchPage activePage = EclipseBazaarUI.getDefault().getWorkbench().getActiveWorkbenchWindow().getActivePage();
		// Show View
		ConflictsView view = (ConflictsView) activePage.showView(ConflictsView.VIEW_ID);
		IProject[] projects = getEnclosingProjectsForSelectedResources();
		view.setInput(BzrWorkspaceRoot.getBranchFor(projects[0]));

	}

}
